<ion-header class="ion-no-border">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button menu="main-menu"></ion-menu-button>
    </ion-buttons>
    <ion-title>Cart</ion-title>

  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="userForm" (ngSubmit)="postOrder()">
  <ion-searchbar animated placeholder="Search Ice Cream"></ion-searchbar>
 
  <ion-item lines="none">
    <ion-label>Product Name</ion-label>
    <ion-input readonly formControlName="product_name"></ion-input>
  </ion-item>

  <ion-item  lines="none">
    <ion-label>Price</ion-label>
    <ion-input readonly formControlName="price" ></ion-input>
  </ion-item>
  <ion-item  lines="none">
    <ion-label>Quantity</ion-label>
    <ion-button class="minus" (click)="minus()" type="button"><i class="fa fa-minus">-</i></ion-button>
    <ion-input formControlName="quantity" type="text" [value]="quantity"  required disabled></ion-input>
    <ion-button class="plus" (click)="plus()"type="button"><i class="fa fa-plus">+</i></ion-button>
  </ion-item>
  <ion-item  lines="none">
   <ion-button color="warning" expand="block"  type="submit" (click) = "checkout()"(click)="presentAlertConfirm()">Check out</ion-button>
  </ion-item>
  <ion-item lines="none">
   
    
    <ion-button class="cancelorder" (click)="clear()" color ="danger">
      <ion-icon name="trash-outline"></ion-icon>Remove Item</ion-button>
 </ion-item>
 </form>
</ion-content>
